Bug 14253 - Can't scroll though patron notify list on new order
Summary: Can't scroll though patron notify list on new order
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-21 18:35 UTC by Nicole C. Engard
Modified: 2016-12-05 21:23 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
can't scroll (137.41 KB, image/png)
2015-05-21 18:35 UTC, Nicole C. Engard
Details
Bug 14253: Acq - notify borrowers popup needs to allow scrolling (1.37 KB, patch)
2015-06-09 01:16 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 14253: Acq - notify borrowers popup needs to allow scrolling (1.50 KB, patch)
2015-06-11 18:03 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 14253: Acq - notify borrowers popup needs to allow scrolling (1.57 KB, patch)
2015-06-16 15:40 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14253: (follow-up) Same fix for the basket page (977 bytes, patch)
2015-06-16 15:40 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2015-05-21 18:35:22 UTC
Created attachment 39370 [details]
can't scroll

When trying to add patrons to notify of new acq you can't scroll using the scroll button on the mouse or the scroll bar - which doesn't exist.
Comment 1 Katrin Fischer 2015-06-09 01:16:33 UTC Comment hidden (obsolete)
Comment 2 Aleisha Amohia 2015-06-10 04:09:06 UTC
Patch applied cleanly and I still see no scrollbars, so will set to Failed QA.
Comment 3 Katrin Fischer 2015-06-10 07:32:42 UTC
Hi Aleisha, did you make sure that you closed the popup window before testing with the patch? That's what happened to me at first. Which browser?
Comment 4 Mirko Tietgen 2015-06-11 18:03:29 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2015-06-16 15:40:21 UTC
Created attachment 40187 [details] [review]
Bug 14253: Acq - notify borrowers popup needs to allow scrolling

The 'notify on receiving' patron search on the new order form
in acquisitions didn't allow you to scroll, so there was no
way to select users from the bottom of a longer result list.

To test:
- Create a new order in acquisitions
- On the order form, use the 'Add user' button to open
  the popup
- Perform a patron research with a lot of results
- Verify that with the patch you can scroll, but
  that you couldn't without it

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>
without patch: no scroll bar in Firefox 38
with patch: scrolling works fine

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 6 Jonathan Druart 2015-06-16 15:40:29 UTC
Created attachment 40188 [details] [review]
Bug 14253: (follow-up) Same fix for the basket page

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 7 Tomás Cohen Arazi 2015-06-22 20:09:52 UTC
Patch pushed to master.

Thanks Katrina!
Comment 8 Chris Cormack 2015-07-10 01:59:42 UTC
Pushed to 3.20.x will be in 3.20.2